package fi.vtt.componentbee.behaviourparser_02_10_2008_14_29_56;

import java.util.Enumeration;

public final class BehaviourPatternEnumeration implements Enumeration{
	protected final BehaviourPatternImpl behaviourPattern;
	protected final int numberOfChildrens;
	protected int index=0;
	
	public BehaviourPatternEnumeration(final BehaviourPatternImpl behaviourPattern) {
		super();
		this.behaviourPattern = behaviourPattern;
		this.numberOfChildrens=behaviourPattern.jjtGetNumChildren();
	}

	public boolean hasMoreElements() {
		return index<numberOfChildrens;
	}

	public Object nextElement() {	
		return behaviourPattern.jjtGetChild(index++);
	}
}