package fi.vtt.smallclientserverexample.impl;

import fi.vtt.smallclientserverexample.Requestor;
import fi.vtt.smallclientserverexample.TestingAttributes;
import fi.vtt.smallclientserverexample.View;

public class ClientImpl implements Requestor {
	protected View view=new ViewImpl();
	
	protected static int REQUESTNUMBER=0;
	
	
	public void doRequest(){
		REQUESTNUMBER++;
		new ServerImpl().handleRequest("Request_"+REQUESTNUMBER, this);
	}
	
	public void handleResponse(Object response){
		// The request is ignored.
		if(Math.random()<TestingAttributes.PROBABILITY_FOR_IGNORED_RESPONSE) return;
		
		view.update(response);
	}
	
	
}
